#!/usr/bin/gnuplot

set colors classic
#set term x11

set xl "lambda [nm]"
set yl "I_lambda [] (shifted by dataset number)"

fac = 0.25
set ytics fac
set mytics 1
set grid ytics mytics
set zeroaxis
set nokey
set bar 0.5

ang = 1.
call "line.plt" "Hα"     6562.81
call "line.plt" "Hβ"     4861
call "line.plt" "Hγ"     4341
call "line.plt" "Hδ"     4102
call "line.plt" "Hε"     3970
call "line.plt" "HeI"    4009.258
call "line.plt" "HeI"    4026.210
call "line.plt" "HeI"    4120.811
call "line.plt" "HeI"    4143.761
call "line.plt" "HeI"    4387.929
call "line.plt" "HeI"    4471.498
call "line.plt" "HeI"    4713.139
call "line.plt" "HeI"    4921.931
call "line.plt" "HeI"    5015.678
call "line.plt" "HeI"    5047.738
call "line.plt" "HeI"    5875.625
call "line.plt" "HeI"    6678.154
call "line.plt" "CII"    4267
call "line.plt" "CII"    6578
call "line.plt" "CII"    6582
call "line.plt" "OII"    4649.143
call "line.plt" "MgII"   4481
call "line.plt" "SiII"   4128
call "line.plt" "SiII"   4130
call "line.plt" "SiII"   6347
call "line.plt" "SiII"   6371
call "line.plt" "NeI"    6402
call "line.plt" "FeIII"  5243.306

# from Walker etal. (2017), Tab. 5
call "line.plt" "NII"    6610.58
call "line.plt" "FeI"    6202.31
call "line.plt" "CIV"    5801.3
call "line.plt" "SiIII"  5739.7
call "line.plt" "CIII"   5695.0
call "line.plt" "OIII"   5592.3
call "line.plt" "HeII"   5411.5
call "line.plt" "NII"    4779.7
call "line.plt" "HeII"   4685.7

set arrow from 4922,graph 0.99 rto 1,0 heads

set cbl "gf"
set colorbox

ang = 1.e-10  # m
nm = 1.e-9  # m

p \
  "<awk '($5!=i){ print s; } { print; i=$5; }' Spectra_10.dat" u ($2/ang):($3+fac*($5-1)) w l lt 8,\
  "gfall.tmp" u ($1*10):(1.0):3 w labels center

pa -1

set term png small
set out "Spectra.png"
rep

q

  "Spectra_10.dat" u ($2/nm):($3+1*$5):4 w err lt 3 pt 1 ps 0,\

  "<awk '{ print $1,0,$2; print $1,9,$2; print s; }' ../../gfall/gf_.dat" u 1:2:(10.**$3) w l lw 3 lc palette z,\


